Segfault with Libcrypto.so

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Segfault with Libcrypto.so

PEILLON Stephane
Hello

 

For several days, we have been unable to carry out operating commands on our OpenLdap server (2.4.48), such as:

/usr/local/openldap/sbin/slapcat –F /usr/local/openldap/etc/openldap/slapd.d -b 'cn = config' -a '(| (objectclass = olcBdbConfig) (objectclass = olcHdbConfig) (objectclass = olcMdbConfig))'

 

The errors are:

kernel: [110775.944931] slapcat [2659]: segfault at 60 ip 00007fa1afc98300 sp00007fff98c66b20 error 4 in libcrypto.so.1.1 [7fa1afaa2000 + 29b000]

 

This server is in version: Linux XXXXXXXX 4.15.0-72-generic-81-Ubuntu SMP Tue Nov 26 12:20:02 UTC 2019 x86_64 x86_64 x86_64 GNU / Linux

 

The version of openSSL is:

OpenSSL 1.1.1 11 Sep 2018

built on: Tue Nov 12 16:58:35 2019 UTC

platform: debian-amd64

options: bn (64,64) rc4 (16x, int) des (int) blowfish (ptr)

compile: gcc -fPIC -pthread -m64 -Wa, - noexecstack -Wall -Wa, - noexecstack -g -O2 -fdebug-prefix-map = / build / openssl-kxN_24 / openssl-1.1.1 =. -fstack-protector-strong -Wformat -Werror = size-security -DOPENSSL_USE_NODELETE -DL_ENDIAN -DOPENSSL_PIC -DOPENSSL_CPUID_OBJ -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DKECCAK1600_ASM -DRC4_ASM -DMD5_ASM -DAES_ASM -DVPAES_ASM -DBSAES_ASM -DGHASH_ASM -DECP_NISTZ256_ASM -DX25519_ASM -DPADLOCK_ASM -DPOLY1305_ASM -DNDEBUG -Wdate-time -D_FORTIFY_SOURCE = 2

OPENSSLDIR: "/ usr / lib / ssl"

ENGINESDIR: "/usr/lib/x86_64-linux-gnu/engines-1.1"

Seeding source: os-specific

 

Can you tell me what to modify to correct this error?

 

thank you in advance for your help!

Stephane

 


Reply | Threaded
Open this post in threaded view
|

Re: Segfault with Libcrypto.so

Nicola Tuveri-2
Is it possible you have compiled and installed the openldap tool you are using against an older version of the system installed openssl library which has since been updated?

In that case you would probably need to recompile and reinstall your custom openldap against the new version of the library.

Best regards, 

Nicola Tuveri 

On Sun, Dec 29, 2019, 00:11 PEILLON Stephane <[hidden email]> wrote:
Hello

 

For several days, we have been unable to carry out operating commands on our OpenLdap server (2.4.48), such as:

/usr/local/openldap/sbin/slapcat –F /usr/local/openldap/etc/openldap/slapd.d -b 'cn = config' -a '(| (objectclass = olcBdbConfig) (objectclass = olcHdbConfig) (objectclass = olcMdbConfig))'

 

The errors are:

kernel: [110775.944931] slapcat [2659]: segfault at 60 ip 00007fa1afc98300 sp00007fff98c66b20 error 4 in libcrypto.so.1.1 [7fa1afaa2000 + 29b000]

 

This server is in version: Linux XXXXXXXX 4.15.0-72-generic-81-Ubuntu SMP Tue Nov 26 12:20:02 UTC 2019 x86_64 x86_64 x86_64 GNU / Linux

 

The version of openSSL is:

OpenSSL 1.1.1 11 Sep 2018

built on: Tue Nov 12 16:58:35 2019 UTC

platform: debian-amd64

options: bn (64,64) rc4 (16x, int) des (int) blowfish (ptr)

compile: gcc -fPIC -pthread -m64 -Wa, - noexecstack -Wall -Wa, - noexecstack -g -O2 -fdebug-prefix-map = / build / openssl-kxN_24 / openssl-1.1.1 =. -fstack-protector-strong -Wformat -Werror = size-security -DOPENSSL_USE_NODELETE -DL_ENDIAN -DOPENSSL_PIC -DOPENSSL_CPUID_OBJ -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DKECCAK1600_ASM -DRC4_ASM -DMD5_ASM -DAES_ASM -DVPAES_ASM -DBSAES_ASM -DGHASH_ASM -DECP_NISTZ256_ASM -DX25519_ASM -DPADLOCK_ASM -DPOLY1305_ASM -DNDEBUG -Wdate-time -D_FORTIFY_SOURCE = 2

OPENSSLDIR: "/ usr / lib / ssl"

ENGINESDIR: "/usr/lib/x86_64-linux-gnu/engines-1.1"

Seeding source: os-specific

 

Can you tell me what to modify to correct this error?

 

thank you in advance for your help!

Stephane